UPnPException
Date: 2016-06-25

org.osgi.service.upnp

## Class UPnPException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.osgi.service.upnp.UPnPException

- All Implemented Interfaces:
    java.io.Serializable

      public class UPnPException
      extends java.lang.Exception

  There are several defined error situations describing UPnP problems while a control point invokes actions to UPnPDevices.
  Since:
    1.1
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEVICE_INTERNAL_ERROR` The invoked action failed during execution.
    `static int` | `INVALID_ACTION` No Action found by that name at this service.
    `static int` | `INVALID_ARGS` Not enough arguments, too many arguments with a specific name, or one of more of the arguments are of the wrong type.
    `static int` | `INVALID_SEQUENCE_NUMBER` The different end-points are no longer in synchronization.
    `static int` | `INVALID_VARIABLE` Refers to a non existing variable.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UPnPException(int errorCode, java.lang.String errorDescription)` This constructor creates a `UPnPException` on the specified error code and error description.
    `UPnPException(int errorCode, java.lang.String errorDescription, java.lang.Throwable errorCause)` This constructor creates a `UPnPException` on the specified error code, error description and error cause.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getUPnPError_Code()` Deprecated. As of version 1.2, replaced by `getUPnPErrorCode()`
    `int` | `getUPnPErrorCode()` Returns the UPnP Error Code occurred by UPnPDevices during invocation.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INVALID_ACTION

          public static final int INVALID_ACTION

      No Action found by that name at this service.
      See Also:
        Constant Field Values

    - #### INVALID_ARGS

          public static final int INVALID_ARGS

      Not enough arguments, too many arguments with a specific name, or one of more of the arguments are of the wrong type.
      See Also:
        Constant Field Values

    - #### INVALID_SEQUENCE_NUMBER

          public static final int INVALID_SEQUENCE_NUMBER

      The different end-points are no longer in synchronization.
      See Also:
        Constant Field Values

    - #### INVALID_VARIABLE

          public static final int INVALID_VARIABLE

      Refers to a non existing variable.
      See Also:
        Constant Field Values

    - #### DEVICE_INTERNAL_ERROR

          public static final int DEVICE_INTERNAL_ERROR

      The invoked action failed during execution.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UPnPException

          public UPnPException(int errorCode,
                       java.lang.String errorDescription)

      This constructor creates a `UPnPException` on the specified error code and error description.
      Parameters:
        `errorCode` - error code which defined by UPnP Device Architecture V1.0.
        `errorDescription` - error description which explain the type of problem.

    - #### UPnPException

          public UPnPException(int errorCode,
                       java.lang.String errorDescription,
                       java.lang.Throwable errorCause)

      This constructor creates a `UPnPException` on the specified error code, error description and error cause.
      Parameters:
        `errorCode` - error code which defined by UPnP Device Architecture V1.0.
        `errorDescription` - error description which explain the type of the problem.
        `errorCause` - cause of that `UPnPException`.
      Since:
        1.2

  - ### Method Detail

    - #### getUPnPErrorCode

          public int getUPnPErrorCode()

      Returns the UPnP Error Code occurred by UPnPDevices during invocation.
      Returns:
        The UPnPErrorCode defined by a UPnP Forum working committee or specified by a UPnP vendor.
      Since:
        1.2

    - #### getUPnPError_Code

          public int getUPnPError_Code()

      Deprecated. As of version 1.2, replaced by `getUPnPErrorCode()`
      Returns the UPnPError Code occurred by UPnPDevices during invocation.
      Returns:
        The UPnPErrorCode defined by a UPnP Forum working committee or specified by a UPnP vendor.